﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileCatalog
{
    /// <summary>
    /// A list of common volume types
    /// </summary>
    public sealed class WellKnownVolumeFormatId
    {
        /// <summary>
        /// Represents the VolumeTypeId for the FAT12
        /// </summary>
        public static readonly Guid Fat12 = new Guid("00000000-0000-0000-0000-000000000001");

        /// <summary>
        /// Represents the VolumeTypeId for the FAT16
        /// </summary>
        public static readonly Guid Fat16 = new Guid("00000000-0000-0000-0000-000000000002");

        /// <summary>
        /// Represents the VolumeTypeId for the FAT32
        /// </summary>
        public static readonly Guid Fat32 = new Guid("00000000-0000-0000-0000-000000000003");

        /// <summary>
        /// Represents the VolumeTypeId for the NTFS
        /// </summary>
        public static readonly Guid Ntfs = new Guid("00000000-0000-0000-0000-000000000004");

        /// <summary>
        /// Represents the VolumeTypeId for the CDFS
        /// </summary>
        public static readonly Guid Cdfs = new Guid("00000000-0000-0000-0000-000000000005");
    }
}
